Subject: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Sun, 12 Mar 2023 23:55:59 +0200

On 04/03/2023 14:45, Dmitry Gutov wrote:
> On 04/03/2023 02:22, Dmitry Gutov wrote:
>> On 04/03/2023 02:01, Po Lu wrote:
>>>> But there is a persistent glitch: when the window configuration
>>>> changes, 1 or 2 vertical bars often flash:
>>>>
>>>> https://a.uguu.se/iYTlOftH.mp4  (with emacs -Q)
>>>>
>>>> https://a.uguu.se/YdDWpMid.mp4  (with my config but with tool-bar and
>>>> scroll-bar modes enabled)
>>>>
>>>> scroll-bar-mode on seems to be required to reproduce this.
>>> This is expected: moving the scroll bar causes exposures, which can
>>> cause flickering.  That's the problem double buffering is supposed to
>>> fix.
>>
>> Isn't it odd, though, that in both cases the glitch is positioned 
>> around 1/2 of the scroll-bar's horizontal coordinate (relative to the 
>> left edge of the frame)? When there is one scroll-bar, there is one 
>> glitch; when there are two scroll-bars, there are two glitches.
>>
>> My guess is that might be related to the display scale (2x).
> 
> And indeed: when I change the display scaling to 1x (no scaling), the 
> "flashes" occur exactly above the scrollbars. Which looks significantly 
> less jarring.
> 
> This seems like something we should be able to fix, if we're going to 
> recommend disabling double-buffering as a fix for this and other problems.

If anybody has ideas how to avoid scrollbars being briefly drawn at the 
wrong position with 2x display and disabled xdbe, that could be an 
improvement as well.

If not for me, then for the next GNOME user advised to disable double 
buffering.